Package com.sun.jna.platform.win32

# Class WinCrypt.HCRYPTMSG

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.WinNT.HANDLE
com.sun.jna.platform.win32.WinCrypt.HCRYPTMSG

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinCrypt

public static class WinCrypt.HCRYPTMSG extends WinNT.HANDLE
Handle to a cryptographic message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HCRYPTMSG()`
  Instantiates a new hcryptmgr.
  `HCRYPTMSG(Pointer p)`
  Instantiates a new hcryptmsg.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

  `fromNative, setPointer, toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, getPointer, hashCode, nativeType, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HCRYPTMSG

    public HCRYPTMSG()
    Instantiates a new hcryptmgr.

  - ### HCRYPTMSG

    public HCRYPTMSG(Pointer p)
    Instantiates a new hcryptmsg.
    Parameters:
      `p` - the p